Create a new status page.
POST
/status_page
const url = 'https://api.siteqwality.com/status_page';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"friendly_name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.siteqwality.com/status_page \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "friendly_name": "example" }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
friendly_name
required
string
Example generated
{ "friendly_name": "example"}Responses
Section titled “ Responses ”Status page created
Media type application/json
object
id
required
string
account_id
required
string
friendly_name
required
string
created_at
required
string format: date-time
page_url
required
Where the public page lives: the custom domain once it is active, otherwise the page’s address on statuspage.siteqwality.com.
string
published
required
boolean
grace_until
string | null format: date-time
Example generated
{ "id": "example", "account_id": "example", "friendly_name": "example", "created_at": "2026-04-15T12:00:00Z", "page_url": "example", "published": true, "grace_until": "2026-04-15T12:00:00Z"}Invalid request body
Missing or invalid authentication
The plan’s status pages are in use; the message names the page pack
Internal server error